Description

I always get an object nil error when trying to create a host while ":tftp_servername:" was set in the foreman smart-proxy settings.

After commenting it and restarting proxy host-creation worked.

The error seems to be a call to a function on a none-existing object:

Started POST "/hosts" for 10.110.10.95 at Tue Jan 17 14:06:07 +0000 2012

  Processing by HostsController#create as HTML

  Parameters: {"commit"=>"Submit", "authenticity_token"=>"15Df/II3jV6YRuRB4jd96Bl9t46ZsvknND3n5htc

go4=", "utf8"=>"✓", "host"=>{"name"=>"sv6011", "puppetproxy_id"=>"1", "managed"=>"true", "subnet_i

d"=>"1", "architecture_id"=>"1", "comment"=>"", "puppetmaster_name"=>"vm7603.test.sample", "sp_mac

"=>"", "mac"=>"d0:67:e5:f9:11:92", "domain_id"=>"1", "sp_name"=>"", "hostgroup_id"=>"1", "medium_i

d"=>"6", "use_image"=>"0", "build"=>"1", "root_pass"=>"[FILTERED]", "enabled"=>"1", "ptable_id"=>"

6", "environment_id"=>"1", "ip"=>"10.31.0.105", "sp_subnet_id"=>"", "model_id"=>"1", "puppetclass_

ids"=>[""], "sp_ip"=>"", "disk"=>"", "operatingsystem_id"=>"1"}}

failed to detect boot server: undefined method `bootserver_ip' for #<ProxyAPI::TFTP:0x7f33eb681048

>

Create DHCP reservation for sv6011.test.sample-d0:67:e5:f9:11:92/10.31.0.105

Add the TFTP configuration for sv6011.test.sample

Fetching required TFTP boot files for sv6011.test.sample

Rolling back due to a problem: 

Delete the TFTP configuration for sv6011.test.sample

Failed to perform rollback on DHCP Settings for sv6011.test.sample - undefined method `destroy' fo

r nil:NilClass

Failed to save: failed to detect boot server: undefined method `bootserver_ip' for #<ProxyAPI::TFT

P:0x7f33eb681048>, Failed to perform rollback on DHCP Settings for sv6011.test.sample - undefined 

method `destroy' for nil:NilClass
Rendered hosts/new.html.erb within layouts/application (308.5ms)

Completed 200 OK in 488ms (Views: 303.9ms | ActiveRecord: 9.6ms)

 Also the error message is not completly shown in WebUI, because of the <-Sign in the error message.

Related issues:

Related to Foreman - Bug #1381: Foreman uses fqdn internally for DHCP nextSer... Closed 12/07/2011

Related to Foreman - Bug #1420: bootserver ip lookup fails if not managing dns Closed 12/31/2011

Has duplicate Foreman - Bug #1504: Failed to save: failed to detect boot serv... Duplicate 02/23/2012

Associated revisions

Revision a7ad2c1c - 01/18/2012 03:04 AM - Ohad Levy

fixes #1451 - Host creation fails if ":tftp_servername:" is set in proxy-settings

History

#1 - 01/18/2012 03:02 AM - Ohad Levy

- Category set to TFTP

- Assignee set to Ohad Levy

- Target version set to 1.0

it seems that the solution for #1381 and #1420 introduce a bug where the proxy was trying to use another class methods.

#2 - 01/18/2012 09:17 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset a7ad2c1c5e128347fea66478614d8784b222c2d9.
